/*   mosmixparser - parses MOSMIX open data from DWD to create a
 *   HTML5 based weather forecast page.
 *
 *   Copyright (C) 2021 Thomas Rudolph, <https://rudo.info/mosmix.php>
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef MOSMIXPARSER_H
#define MOSMIXPARSER_H

#include <iostream>
#include <string>
#include <fstream>
#include <iomanip>

using namespace std;

int html(char* argv[], uint8_t hPos);
int csvWrite(char* argv[], uint8_t cPos);
string moonPhase(uint16_t jahrTag, uint16_t jahr);
float examine(string lines);
int parse(char* argv[], uint8_t mPos);

string timestamp[246];
float ttt[246];
float e_ttt[246];
float n[246];
float neff[246];
float rr1[246];
float r101[246];
float wwM6[246];
float RRS1c[246];
float FF[246];
float DD[246];
float FX1[246];
float SunD1[246];
float wwT[246];

bool waitTTT;
bool waitETTT;
bool waitN;
bool waitNeff;
bool waitRR1;
bool waitR101;
bool waitwwM6;
bool waitRRS1c;
bool waitFF;
bool waitDD;
bool waitFX1;
bool waitSunD1;
bool waitwwT;

#endif

